import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import * as appstate from '../../appstate.js';
declare global {
    interface HTMLElementTagNameMap {
        'ops-view-dns': OpsViewDns;
    }
}
export declare class OpsViewDns extends DeesElement {
    accessor domainsState: appstate.IDomainsState;
    constructor();
    connectedCallback(): Promise<void>;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private domainHint;
    private showCreateRecordDialog;
    private showEditRecordDialog;
}
